<template>
  <div>
    <div class="pb-5 custom-table-border" spinner="circle">
      <el-table
        v-loading="isPreviousBetsLoading"
        :data="previousBets"
        border
        style="width: 100% !important"
        :empty-text="sportQrHelper.getLang('No Data', language)"
      >
        <el-table-column :label="sportQrHelper.getLang('Date', language)" width="100">
          <template #default="scoped">
            <div @click="onClickSingleBet(scoped.row.PayoutId)">
              {{ scoped.row.PayoutDateForDisplay }}
            </div>
          </template>
        </el-table-column>
        <el-table-column :label="sportQrHelper.getLang('Time', language)" width="130">
          <template #default="scoped">
            <div @click="onClickSingleBet(scoped.row.PayoutId)">
              {{ scoped.row.PayoutTimeForDisplay }} (GMT-4)
            </div>
          </template>
        </el-table-column>
        <el-table-column :label="sportQrHelper.getLang('Stake', language)" align="center" width="100">
          <template #default="scoped">
            <div @click="onClickSingleBet(scoped.row.PayoutId)">
              {{
                scoped.row.TotalStakeForDisplay
              }}
              {{ currency }}
            </div>
          </template>
        </el-table-column>
      </el-table>
    </div>
  </div>
</template>
<script setup lang="ts">
import { generateCryptoToken } from "@/utils/cryptoTokenHelper";
import useSportQrCode from "@/composables/useSportQrCode";
import sportQrHelper from '@/utils/sportQrHelper';


const { getAssetImage } = commonHelper;
const router = useRouter();
const currency = useRoute().query.c ?? '';
const operatorId = useRoute().query.i;
const { getPreviousBets, previousBets, isPreviousBetsLoading } = useSportQrCode();

onMounted(() => {
  getPreviousBets();
});
const language = useRoute().query.lang ?? "en";
const onlineId = localStorage.getItem('betlisttokenid');
const onClickSingleBet = (payoutId: number) => {
  const token = generateCryptoToken(String(payoutId));
  router.push(
    `/sport-qr?pid=${payoutId}&token=${encodeURIComponent(
      token
    )}&i=${operatorId}&pq=true&oid=${onlineId}&lang=${language}`
  );
};
</script>
<style lang="scss">
.custom-table-border .el-table td.el-table__cell,
.el-table th.el-table__cell.is-leaf {
  border: 0px solid #36412E;
  border-width: 2px 0px 2px 3px;
  background: #120d05;
}
.custom-table-border .el-table__body,
.custom-table-border .el-table__header {
  width: 100% !important;
}
.custom-table-border {
  .el-table {
    background-color: transparent;
    .el-table__cell {
      padding: 7px 16px;
      > .cell {
      padding: 0px;
    }
    }
  }
}
.custom-table-border {
  .el-table__empty-block {
    font-weight: 500;
  }
  .el-table__inner-wrapper::before {
    height: 0;
  }
}
</style>
